LINUX.ORG.RU
ФорумAdmin

PPP 2.3.8


0

0

I tak, vot chat' logov (/var/log/messages): Jul 9 01:13:28 saturn ifup-ppp: pppd started for ppp1 on /dev/ttyS3 at 115200 Jul 9 01:13:29 saturn kernel: CSLIP: code copyright 1989 Regents of the University of California Jul 9 01:13:29 saturn kernel: PPP: version 2.3.7 (demand dialling) Jul 9 01:13:29 saturn kernel: PPP line discipline registered. Jul 9 01:13:29 saturn kernel: registered device ppp0 Jul 9 01:13:29 saturn pppd[387]: pppd 2.3.8 started by root, uid 0 Chto vi ob etom dymaete? BTW v ppp2.3.8 i ran'she vsegda bila vozmozhnost' propatchit' kernel, a imenno ego driveri, dlja podderzhki novoj versii. V READM ot ppp2.3.8 napisano chto eto bilo sdelano esche s 2.2.8 kernelom! Esli ja vsetaki pitaus' propatchit' esche raz on govorit' chto kernel yzhe soderzhit neobhodimyu versiu, toest' esli y menja sejchas 2.2.10 kernel, to v nem kak minimym dolzhni bit' driveri ot ppp 2.3.8, odnako ochevidno chto eto libo ne sovsem tak, libo Linus s sotovarischami sdelali eto neverno. BTW nikakih linkov /usr/sbin/pppd na ppp-2.3.7 ili *2.3.8 ne obnaryzheno, y menja stojal ppp ot RH5.2, ja ego snes i otkompilil 2.3.8 sam. Rodnaja ppp iz RH5.2 imeet versiu 2.3.5-1 v RPM. Teper' po povody aliases; tak nado delat' alias ppp-compress-26 ppp_deflate ili vsetaki off? I vobsche mne ktonibyt' skazhet nakonec chego eto za moduli (ppp-compress-21/24/26) i pochemy neobhodimo ih aliasit' esli v kernele mozhno bilo srazy skazat' chto mi ispol'zyuem bsd-comp i ppp-deflate, kotorie v samom kernele i nahodjatsja! Nahrena takie slozhnosti?

anonymous

Re: PPP 2.3.8

Ну и упорный ты! Завидую! . . . А просто в ppp-2.3.8/include/linux/if_ppp.h , как и в . . . /usr/src/linux/include/linux/if_ppp.h написано . . . #define PPP_VERSION="2.3.7" . . . Почему - не знаю, забыли поправить, наверное :-)))) . Можешь вписать туда все что хочешь, и собрать ядро заново.

John ()

Re: PPP 2.3.8

Zabili? Oni ved' propatchili kernel ishodnikami ppp 2.3.8, otkyda tam
vzjalos' 2.3.7 ?? BTW ja ego tam yzhe nahodil, poeotmy i bili predpolozhenija
o bage. Ny ok, predpolozhim, tak ono i est', delali rykami, ryki ne
slyshalis' ;)) A kak naschet ppp-compress-21/24/26? Na etot vopros mne
kto-to vrazymitel'nij otvet dast ili tak i bydyt pihat' ocherednoj,
samij "pravel'nij" variant? BTW esli chesno, mne bol'she vsego ne ponjatno
ne to chego kyda aliasit' (pri zhelanii eto mozhno iz src yznat'), a
to pochemy kernel ne ispol'zyet svoi zhe modyli? Naskol'ko ja pomnu
v 2.0.xx takih prikolov s ppp ne bilo.

anonymous ()

Re: PPP 2.3.8

ppp-compress-21/24/26 - это модули сжатия заголовков пакетов, почему ПППД просит именно с таким названием модули, я не знаю. При компилении ядра с включённым сжатием заголовков компилится лишь один доп. модуль: bsd_comp.o или просто bsdcompress.o - не помню... но как мне сказали на www.linux.ru.net, надо проалиасить ppp-compress-21/24/26 именно на этот bsd_compress причём все три на него одного :))). У меня ругаться перестал. Полезно также в pppd options написать: bsdcomp 15,15 - максимальное сжатие. вот.

anonymous ()

Re: PPP 2.3.8

O... esche odin variant aliasov ;)) V obschem ja tak ponjal ni kto nihrena v etom ne razbiraetsja, a zhal' :(( BTW mozhet kto podskazhen normal'nij russian speaking forum?

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.